import { Typeform } from './typeform-types';
export declare class Forms {
    private _http;
    private _messages;
    constructor(_http: Typeform.HTTPClient);
    get messages(): FormMessages;
    create(args: {
        data: Typeform.Form;
    }): Promise<Typeform.Form>;
    delete(args: {
        uid: string;
    }): Promise<null>;
    get(args: {
        uid: string;
    }): Promise<Typeform.Form>;
    list(args?: {
        page?: number | 'auto';
        pageSize?: number;
        search?: string;
        workspaceId?: string;
    }): Promise<Typeform.API.Forms.List>;
    update<T extends boolean>(args: {
        uid: string;
        override?: T;
        data: T extends true ? Typeform.Form : Typeform.API.PATCH<'/settings/facebook_pixel' | '/settings/google_analytics' | '/settings/google_tag_manager' | '/settings/is_public' | '/settings/meta' | '/cui_settings' | '/theme' | '/title' | '/workspace'>[];
    }): Promise<T extends true ? Typeform.Form : null>;
    copy(args: {
        uid: string;
        workspaceHref: string;
    }): Promise<Typeform.Form>;
}
declare class FormMessages {
    private _http;
    constructor(_http: Typeform.HTTPClient);
    get(args: {
        uid: string;
    }): Promise<Typeform.Messages>;
    update(args: {
        uid: string;
        data: Typeform.Messages;
    }): Promise<null>;
}
export {};
